GNU bug report logs - #11165
24.0.95; c-indent-new-comment-line bug or feature?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,cc-mode; Reported by: Leo <sdl.web@HIDDEN>; dated Tue, 3 Apr 2012 18:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11165 <at> debbugs.gnu.org:


Received: (at 11165) by debbugs.gnu.org; 17 May 2012 10:14:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 17 06:14:48 2012
Received: from localhost ([127.0.0.1]:58682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SUxjL-0000FS-68
	for submit <at> debbugs.gnu.org; Thu, 17 May 2012 06:14:48 -0400
Received: from colin.muc.de ([193.149.48.1]:22822 helo=mail.muc.de)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <acm@HIDDEN>) id 1SUxjI-0000FK-VG
	for 11165 <at> debbugs.gnu.org; Thu, 17 May 2012 06:14:46 -0400
Received: (qmail 80405 invoked by uid 3782); 17 May 2012 10:14:28 -0000
Received: from acm.muc.de (pD9556868.dip.t-dialin.net [217.85.104.104]) by
	colin.muc.de (tmda-ofmipd) with ESMTP;
	Thu, 17 May 2012 12:14:27 +0200
Received: (qmail 3480 invoked by uid 1000); 17 May 2012 10:12:05 -0000
Date: Thu, 17 May 2012 10:12:05 +0000
To: Leo <sdl.web@HIDDEN>
Subject: Re: bug#11165: 24.0.95; c-indent-new-comment-line bug or feature?
Message-ID: <20120517101205.GA3323@HIDDEN>
References: <m1ehs4sm5z.fsf@HIDDEN> <20120417105348.GA3429@HIDDEN>
	<m1bomqpijj.fsf@HIDDEN> <20120515165038.GB20152@HIDDEN>
	<m1txzfnujn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m1txzfnujn.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11165
Cc: 11165 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Hi, Leo.

On Thu, May 17, 2012 at 03:19:56PM +0800, Leo wrote:
> On 2012-05-16 00:50 +0800, Alan Mackenzie wrote:
> > I don't think this is a bug.  When you've read that manual page, would
> > you please check exactly what you've done, and whether your buffer
> > indents as we both would like.

> I have read the manual before and I just read it again. Here is a
> detailed recipe to reproduce:

> 1. Emacs -q
> 2. Make a new buffer named BUG and enable c-mode in it
> 3. C-c C-o and customise syntactic 'c' to 4 in BUG buffer
> 4. Now typing in the BUG buffer slash star /*, then press M-j
> 5. type TAB to indent

Thanks for this clarification.

[ .... ]

> The bug is M-j (c-indent-new-comment-line) indents to the wrong column.

Yes, indeed.  In c-indent-new-comment-line there are some lines of code
which prevent point ending up further to the right than its starting
point.  This was to fix a bug in which, after M-; M-j, point ended up
too far to the right.  The fix was erroneous.

This code was committed on 2007-02-15, so it doesn't count as a
regression in the sense of the Emacs 24 release.  So even though the fix
shouldn't be too difficult, it isn't the most urgent thing at the
moment.  I'll get it fixed in CC Mode standalone and the Emacs trunk
sometime.

In the meantime, a workaround is to type <tab> after each M-j,
irritating though this may be.

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11165; Package emacs,cc-mode. Full text available.

Message received at 11165 <at> debbugs.gnu.org:


Received: (at 11165) by debbugs.gnu.org; 17 May 2012 07:21:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 17 03:21:00 2012
Received: from localhost ([127.0.0.1]:58526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SUv19-0004jO-Jm
	for submit <at> debbugs.gnu.org; Thu, 17 May 2012 03:20:59 -0400
Received: from mail-pz0-f44.google.com ([209.85.210.44]:52895)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sdl.web@HIDDEN>) id 1SUv0n-0004ik-Cr
	for 11165 <at> debbugs.gnu.org; Thu, 17 May 2012 03:20:56 -0400
Received: by dacx6 with SMTP id x6so1914043dac.3
	for <11165 <at> debbugs.gnu.org>; Thu, 17 May 2012 00:20:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:in-reply-to:references:user-agent:face:date
	:message-id:mime-version:content-type;
	bh=Olq6+XAoYsJLn53INbpP/3coG4uewBLl6SO0WZAW6cg=;
	b=aWlmMIv/vzg0tVqs2lQF6aohtxoReqBVhJouPKT2S9vn69huQXSSD1hakBUg9GxdDN
	ZFWsCqoWun+ZP8FVyB850IYlRZjR10si2srO/stFq/ehipyceDn1TgjWsHafk1B0TgSQ
	/8XGLpMaBM1NJgJyEyzhMSTZhPDwyOrcS/QfMRvJc5linw1eY2Q7dZwDAo4UXElq37uR
	8Ad11udQMH6Pvn99UQyovWTr7gMJ19cbMvB+BSE+EZIrKx5hF/8wQj6OACMAe0gwdYgP
	r/6uXllzP7rTHJ8ViUGEVtgxmjYsZCL7FcXeaw8UpN/ma2rHy4E6zeG5pjCd2+RirF1p
	zxMQ==
Received: by 10.68.72.138 with SMTP id d10mr25148191pbv.15.1337239217244;
	Thu, 17 May 2012 00:20:17 -0700 (PDT)
Received: from localhost ([221.223.91.134])
	by mx.google.com with ESMTPS id vg3sm8195622pbc.71.2012.05.17.00.20.03
	(version=TLSv1/SSLv3 cipher=OTHER);
	Thu, 17 May 2012 00:20:15 -0700 (PDT)
From: Leo <sdl.web@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#11165: 24.0.95; c-indent-new-comment-line bug or feature?
In-Reply-To: <20120515165038.GB20152@HIDDEN> (Alan Mackenzie's message of
	"Tue, 15 May 2012 16:50:39 +0000")
References: <m1ehs4sm5z.fsf@HIDDEN> <20120417105348.GA3429@HIDDEN>
	<m1bomqpijj.fsf@HIDDEN> <20120515165038.GB20152@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.96 (Mac OS X 10.6.8)
Face: iVBORw0KGgoAAAANSUhEUgAAACkAAAApAQAAAACAGz1bAAABKElEQVQYlWNg3NIt5FDPUPt7
	4+X79Qyucz5/ugik+L2PBgKpyphaIK921q23QDnG0NBQoMr/vaWl9f8ZLL78uPv5PwN7RETfzXoG
	jhmFz27XM0RXmpuY/WfY+fv0Mc56BvFybfXA/wwL5t/wF61n2PU59axXPcOVzbmSW/8zrNt1benC
	/ww70hqUU/4zKCtrT9jwn8FhwynbufUMendE2aLqGRpdX9al1zM8eh17lKeeQcTMrdD5P8P3j/YT
	Q/8zXHSb7p1Qz/C4OM2JuZ7hgtI7K6AjqsMnf8j4z8C6xG1tw3+GqpqvsVn/GTzmpD9j/8/wP/oZ
	S/l/Bka+QO/g/wy15ueeFQL9N1O8mPU/g+umV3t1gdT0/1bTgHLqYVeXAlWKpMWt+w8Az82C9nHf
	X0cAAAAASUVORK5CYII=
Date: Thu, 17 May 2012 15:19:56 +0800
Message-ID: <m1txzfnujn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11165
Cc: 11165 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain

On 2012-05-16 00:50 +0800, Alan Mackenzie wrote:
> I don't think this is a bug.  When you've read that manual page, would
> you please check exactly what you've done, and whether your buffer
> indents as we both would like.

I have read the manual before and I just read it again. Here is a
detailed recipe to reproduce:

1. Emacs -q
2. Make a new buffer named BUG and enable c-mode in it
3. C-c C-o and customise syntactic 'c' to 4 in BUG buffer
4. Now typing in the BUG buffer slash star /*, then press M-j
5. type TAB to indent

In step 4 the buffer looks like:

--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=bug1.png
Content-Transfer-Encoding: base64
Content-Description: bug1.png

iVBORw0KGgoAAAANSUhEUgAAAJIAAAA8CAIAAAACD3RHAAAXL2lDQ1BJQ0MgUHJvZmlsZQAAWIW1
WQVUFl23PjNv8tLd3d3d3d2I0l2vpIS0SAkKiEgqIaWgoCCISCkGH4KIqIAiiMmHGHTdQf2+/7//
/e+66651715rZp71nDP7xN7nnL1nAGBe8iASg2EqAEJCI8NtDHW4nJxduHAzAAY4QALIgLiHVwRR
28rKDPy3svYMQAfPCfEDXf99vX8r1N4+EV4AQFYI9vSO8ApB8HUAYB0vYngkAKgNhB+LiSQiGH0f
wXThSAcRPHOA/X7hlQPs+RNj0D/r2NnoIpgJADyZh0e4HwDkfAjPFe3lh+gh1wMASxPqHRAKAK0T
gjW8/D28AWAuQeqIhYSEHeAhBAt5/pMev/+k0/NvnR4efn/jX2P5KXi9gAhisEfs/3I6/mcJCY76
qw0a5CILDbY4sA0Dcn0I9bSw/M3veXvomSJPNmQ+qXxC7W1/8ZAYMfinLQ+whm+4gc2vdyErYqTO
AUbGB/kSI63sfvOJcf66FgftILjIJ0L/Lz0XAj1MDmxGgeC28CgbewQjcwD1RUTb6iMY8SjobZy/
nePvOj+8ffR+8zAcEGl8oJ8OwTS+AQbGv3mBoDBTm19twQrAFAQDHxAFwpF7KBAHZkAX6AED4IEw
fgj3F/PrLg58f5ZEIyURIAi8Q3AIUhKGaAlDMNfveqb/hfl15wJeCBv1d5t/sf/QEAC8kedfvMfv
soPeRbgFpP57fT/flGqW+ii181c5WgAtg5ZH66DV0RpoZcCFZkCzAHG0HFoJrY3WRKsiZcrIKN/+
HOXvMR7oD2nzjS4Ji1Vx8P89B57/MgP/1CLSV4efGgL+qjO61Ln0dw9BpM+xyAMH0g0jxoYH+PlH
cmkjK9dHjMs41EtCjEtGSlrm/9xv/z/lYM/6hb7b/NyLIIbH/+B8awBQpUbWOfc/uCASAC7zAMAu
9A+OXxhx/z8AaH3rFRUe/Ys72E4ABhAAJeKtzIAD8AIhZE5lgAJQBVpAH5gAS2AHnMERZPb9EY8L
BzEgAaSADJADToOzoBRUgRrQAK6ANtAJekA/uAcegTEwCabBHFgEn8EKWAPbEAThIHKIFmKGOCF+
SBSSgZQgDUgfMoNsIGfIHfKDQqEoKAFKg3KgAqgUugg1QtegLqgfegCNQy+gN9BH6Bu0BaNgMpgO
ZocFYElYCdaGTWE7+DDsBx+F4+B0OA8ugavhy3AH3A8/gifhOfgzvIoCKFIUA4obJY5SQumiLFEu
KF9UOCoRlY0qRlWjWlDdqGHUBGoOtYTaRGPRtGgutDjip0Zoe7QX+ig6EZ2LLkU3oDvQQ+gJ9Bv0
CnoPQ45hw4hiVDDGGCeMHyYGk4EpxlzC3MDcxUxiFjFrWCyWASuIVcQaYZ2xgdh4bC62AtuK7cOO
YxewqzgcjhknilPHWeI8cJG4DNx53GXcHdwT3CJuA0+K58TL4A3wLvhQfCq+GN+E78U/wb/Hb5NQ
kfCTqJBYkniTxJLkk9SSdJM8Jlkk2SZQEwQJ6gQ7QiAhhVBCaCHcJcwQvpOSkvKQKpNakwaQJpOW
kF4lvU/6hnSTjIZMhEyXzJUsiiyPrJ6sj+wF2XdycnIBci1yF/JI8jzyRvJB8lfkGxS0FBIUxhTe
FEkUZRQdFE8olilJKPkptSmPUMZRFlO2Uz6mXKIioRKg0qXyoEqkKqPqopqiWqWmpZamtqQOoc6l
bqJ+QP2BBkcjQKNP402TTlNDM0izQIui5aXVpfWiTaOtpb1Lu0iHpROkM6YLpMuhu0I3SrdCT0Mv
R+9Af4y+jP42/RwDikGAwZghmCGfoY3hGcMWIzujNqMPYxZjC+MTxnUmViYtJh+mbKZWpkmmLWYu
Zn3mIOYzzJ3MsyxoFhEWa5YYlkqWuyxLrHSsqqxerNmsbawv2WA2ETYbtni2GrYRtlV2DnZDdiL7
efZB9iUOBg4tjkCOIo5ejo+ctJwanAGcRZx3OD9x0XNpcwVzlXANca1ws3EbcUdxX+Qe5d7mEeSx
50nlaeWZ5SXwKvH68hbxDvCu8HHymfMl8DXzveQn4Vfi9+c/xz/Mvy4gKOAocFKgU+CDIJOgsWCc
YLPgjBC5kKbQUaFqoafCWGEl4SDhCuExEVhEXsRfpEzksSgsqiAaIFohOi6GEVMWCxWrFpsSJxPX
Fo8WbxZ/I8EgYSaRKtEpsSzJJ+kieUZyWHJPSl4qWKpWalqaRtpEOlW6W/qbjIiMl0yZzFNZclkD
2STZm7Jf5UTlfOQq5Z7L08qby5+UH5DfVVBUCFdoUfioyKforliuOKVEp2SllKt0XxmjrKOcpNyj
vKmioBKp0qbyRVVcNUi1SfWDmqCaj1qt2oI6j7qH+kX1OQ0uDXeNCxpzmtyaHprVmvNavFreWpe0
3msLawdqX9Ze1pHSCde5obOuq6J7XLdPD6VnqJetN6pPo2+vX6r/yoDHwM+g2WDFUN4w3rDPCGNk
anTGaMqY3djLuNF4xUTR5LjJkCmZqa1pqem8mYhZuFm3OWxuYl5oPmPBbxFq0WkJLI0tCy1nrQSt
jlrdssZaW1mXWb+zkbZJsBm2pbV1s22yXbPTscu3m7YXso+yH3CgdHB1aHRYd9RzLHCcc5J0Ou70
yJnFOcD5pgvOxcHlksvqIf1DZw8tusq7Zrg+Oyx4+NjhB0dYjgQfue1G6ebh1u6OcXd0b3Lf8bD0
qPZY9TT2LPdc8dL1Ouf12VvLu8j7o4+6T4HPe1913wLfD37qfoV+H/01/Yv9lwJ0A0oDvgYaBVYF
rgdZBtUH7Qc7BreG4EPcQ7pCaUKDQofCOMKOhY0TRYkZxLmjKkfPHl0JNw2/FAFFHI64GUmHBIcj
UUJRJ6LeRGtEl0VvxDjEtB+jPhZ6bCRWJDYr9n2cQVxdPDreK34ggTshJeHNce3jFxOhRM/EgSTe
pPSkxWTD5IYUQkpQyh+pUqkFqT/SHNO609nTk9MXThieaM6gyAjPmDqperIqE50ZkDmaJZt1Pmsv
2zv7YY5UTnHOTq5X7sNT0qdKTu3n+eaN5ivkV57Gng49/eyM5pmGAuqCuIKFQvPCjiKuouyiH2fd
zj4oliuuOkc4F3VursSs5OZ5vvOnz++U+pdOlumUtZazlWeVr1d4Vzyp1KpsqWKvyqnauhBw4flF
w4sd1QLVxTXYmuiad7UOtcN1SnWNl1gu5VzarQ+tn2uwaRhqVGxsbGJrym+Gm6OaP152vTx2Re/K
zRbxloutDK05V8HVqKufrrlfe9Zm2jbQrtTecp3/evkN2hvZHVBHbMdKp3/n3E3nm+NdJl0D3ard
N25J3Krv4e4pu01/O7+X0Jveu38n7s5qH7Fvqd+vf2HAbWB60Gnw6ZD10Ohd07v37xncGxzWHr5z
X/1+zwOVB10PlR52PlJ41DEiP3LjD/k/bowqjHY8Vnx8c0x5rHtcbbz3ieaT/gm9iXtPjZ8+mrSY
HH9m/+z5lOvU3HPv5x9eBL/4+jL65fZ08gxmJnuWarb4Fdur6tfCr1vnFOZuv9F7MzJvOz+94LXw
+W3E253F9Hfk74rfc75v/CDzoeejwcexT4c+LX4mft5eyviT+s/yZaHl61+0voysOK0sfg3/uv8t
9zvz9/ofcj8GVq1WX62FrG2vZ28wbzRsKm0Obzluvd+O2cHtlOwK73bvme7N7Ifs7xM9wj1+hgIo
5IJ9fQH4Vo/E+85I7jAGAIHiV07xW1BI8AH/rEsOOIEKcAN5YBgihWyhOhiGA+FZ5GxdQMdjuDDj
2GycOZ4dv0nyhjBJOkb2jHyeYpOKjVqXJpK2me4DgzhjFFM/Cy1rIFsfBwtnFNcEjwRvJt9rATnB
TKFJEW5RT7Eq8XGJLSkOaSUZXVkdOTV5cQUWRaziV6UXyn0q9ap5apHqLhramiJajNp47T2dVd1l
vY/68wYvDceNho17TK6a1pmdN8+1SLaMsgq29rHxsHWzO2Tv7GDvaOlk5KztonxIxlX4MPcRRjcK
d7T7pscXz7deL7xHffp92/3q/M8GnAiMCPIItgxRDxUJYySiiV+PzoY/iLgeWRWVFR0e43hMKhaO
HYurjCcmGB3nPb6fOJ3UmVyYEpZqmiaQDtKnT3RmFJ48nhmfVZB9J2flFG0eRz7babozpAVQwUbh
ctHC2efFf5wbRNbHldLasqryiorzlXlVCRc8L+pW89Xga77WztY9unSz/lJDYWNaU2xz5OWoK7Et
sa0RV72vWbYptrNfx1z/dmO+42nn8M2urubuyluFPTm3U3tj74T0ufYbDIgNUg2uDc3dHb3XO9xy
v/xBxsOARzoj9CMf/hgcrXl8Ysx/3OyJ9ATTU+jpR8Q7O6ZKnse8cHipOM0xQ5jZmv38aub1yFzP
myvzNQvX3i69S/zg+SlwKXH5y7fmjbD9/Z/2JwPsQBGJC0+AW0h0pwFlQ3OwJtyAYkNVokXQ/Rgv
LBX2Ae4U3oVEkkBFWCP9k+wz+Z+IB5BSC9IY0hLpyuhHGTFMGsyxLF2se+waHGmcd7lJeIwRHxjg
3xCUEHIUjhepEG0XuyM+INEjeUXqnHScjLOsvByF3Hv5PoUSxaNKhsocyqsqj1QvqkWrm2nwauxo
Ptfq1C7VSdL117PSVzLgNiQYfjV6Ydxn0mCabxZtfthCz1LMis5qz/qTzTPbIbs2+yqHXMdYJ19n
axeNQ0KudK77hz8dmXS7497gUeAZ7+Xlbeoj68vqB/t98h8P6AysCEoLDgixDJUPYyVCxMWj98Lr
IpIiHaOkokmjF2P6jpXGRsZZxAsmgIQXx9sTc5P8kg1SxFM50pjSmU4wZdCcJGRCmetZy9mLOS9z
x07dy+vJv3a6/kxlwbnCkqLKs7XFtecqS06fTywNKnMpN6vQqpSrErrAepG6mrSGvJa9TumSQ31I
Q0xjZFNg85HLVlf0WlRbZa+KXRNo42xnu855Q6xDr9PrZlJXIeILF3su3K7oLb9T3lfZf3GgdrBx
6PrdB/eW7tM/UHvo+Mh3JOQP4mjE45ix+PHkJxkT+U9rJkemaJ6HvhidpppRmbV/FfQ6ea74TfN8
38LMouC7Jx/JP48sl39l+564lrDV9tv+BCSTFkeyg1BQBh5DZJApVAgtwOrwRRQ56gQahy7ACGD6
sN44GtxdfCqJEYGZsEz6gKyR/AxFCmUUVQh1IE0Q7VG6BPoTDAWM1UxtzIMsE6xv2JbZNzkBFw7x
BAzPJu8nvgn+doFcwcNCgkKfhOtEXEVpRO+JxYlLis9LnJU0kdyVapcOlOGReSlbJGcmj5a/pRCh
KKa4oFSqbK2CV+lVjVQTUZtTP6thoglpdmlFactq/9Dp1I3X09JH6983OGVoZURjNGlcYnLIlM10
1qzK3MOC22Less4qwFrSet3mjm2mnbU9i/28Q5NjuJOyM3Aedjl1yNaVyXX2cPURfzdJtzX3Xo+T
nhZeDF6z3nU+Qb7Svht+t/3TAowDyQPHg4qDXUI4Q96GNoWFEeWJG0e7wxMi1CP2Iu9EJUdrxQDE
Y5Ji1WJX4xribeO3EuqOuyWKJMFJC8l3UxpSM9P80w1PCGZgMuZP3s4synLLFs7ezBnPbT9VmZeX
n3g67IxbgWWhRpHoWeZibPHKuacl186fLHUv0ytXrFCq1K4yu+B40bM6uCa6Nqku61J+fV5DeuPR
Jo9md2QfKW8Zu4q7ptkW3X7l+tsO1k6Lm4lddd3Dt77eluo91Yftzx9kHWq4Jz/c/8D84cuR8FH+
MaYntk+npkZmCAsBXyoO7P/r29KBYBUAOI9k3M7DANjKApAXAICADQCMBACsyAGwUwbQcAuAaqYA
JEH39/nBCbSRfPIEuASGwUfk/BCHLKGjUBHUCU1D+zAvbASHwIVwFzyHwqEkUU6oFFQzahINIXmZ
CzoTycTeYRiR3CsBcw3zHsuBdcQWYEdx5DgL3BncCzwvnojvJ2EiiSJ5huRFDaQMpCdJd8giyZbJ
g8g/U4RQrFBGUK5RxVLtUqfREGjO0vLQttMZ0M3QRzFQMbQwWjCuMBUyKzJPsySzCrE+YUtil2Rf
4DjPacNFzvWIO5fHipeB9zVfM3+sgIkgh+Cq0Jhwi8hp0SixI+ImEsqSIlKc0owy1LKUclTydAps
ioJKCsoWKnGq19XWNeQ1Q7RqtWd1mfWc9SsMFowkjI+bjJrxmHtb5FlesKq2rrSptr1lt+wg4Rjp
1OtCOOTsevkI5ObifsOT1ivS+6mvjF+e/0rg4aCXIf5hKGJZuETE7SjT6JljxDhcfPlxkcSrydIp
bWmq6RMZiZkKWes53adi8iVPvyuoKjpUzHLu5fnzZQ4VDJUzF5qqT9SGX/JrcG+yuqzawn+Vug19
HdPBdtO5u6Lnce9aP/Og1l3f4ewHLY8mR8GY/JPop4NT1C/sp3Nmu19/nGd7a/Mu98Pwp7WlpeWK
Fbqvht/8vyf/OLVavta83rLRuBm4xb01tK213bOjtFO+82PXdLd6d2vPbK9ob3affz90v+Pn/sEN
DEAQyAftYAo5PTghPSgAyoeuQy9hCBaCreBj8EX4IfwDxYkyQUWjalDjaICWRLuhz6AH0esYMYwn
phQzgaXAmmKzsQ9xFDh7XAXuI14Fn4//SGJM0kJgIeSQAtI40jWyaLIN8iQKPEURJR9lJ5U51SJ1
Ig0TzTVaUyT/TKXnph9g8GWkYLzJ5MNMxzzMksAqx7rM1sTux8HPschZzxXMLce9zzPCW8FH5DcU
4BLYEZwWui1cI5IjGiPmK+4kYS6pL6UtrSmjLWsgZynvouCvGKuUq1yj0q/6Tp0e2XdStLq0V3Xl
9I7p9xrijRyNG0x2zWzNay0+WfFa29mk2XbZbTqoOaY5jbgwHfJ37T5C6ebnPuDJ6ZXoPe0r7Zfq
/yxQNqg8hDb0LJHlaEUEZ2R1tGBMa6xK3ECC7vEbSUzJ4SnjaWrpvRl2J9eyqnLMctfzLpw2PrNa
WHPWtninpLRUqOxyhURl1wWbizs17XWR9coNe02DlzNbLK4yXJttL7th1rF0M72b/dbQ7aQ7Fv1I
1DC0eu/l/f6HjSOFo9FjBuMbE7mTJM8Sp9Zf5E3rzzK/2p6bn3/0tvPdpQ9nP8UtSfx5ernvy+OV
y1+Tvul/x36//yNv1X5Nbp1+A7vxY3N0q3Zbf/vdTtLO5m7E7p97bnvD+5L7537aXwjYgSTQCCbA
HiQM2UMp0BXE9nhYEfaFi+FheBMlhnJHFaEeomG0CjoS3YpewohigjGtmB9YNWwGdgLHh4vDTeBl
8CUkGJJ4kg1CCiklaTWZChJnRlOwUPRRBlDRUQ1Rx9LI0CzTXqWLptdCVvdbxh6mUuY4FhdWZTYm
tg32aY5BzitcFdwFPFm8GXyZ/KcEzgleEuoUfigyI7oijpXgltSU8pDOkrku+1aeWcFG8bTShAqT
qrtak/qappFWhfa6rqNetwGPYb4xMDlm+t083GLVKs4GbXvGXtjhnlOAC/Wh3sNEN0H3Rc8m75O+
mf6VgYnBCiGjYT7E3fCKSJ2oTzHFscbxcML9xMvJJanEdJkTb0/mZ6lmf8qtyLM7TXVmvLDorOs5
+fM8ZfwVPFXoC8PV0bVcdSP18Y3iTfOXS1vsrtJce95+5UZx57mu/Ftetxl6r/cZ9j8fDBjauVdw
X/jB4KMjI7uj1WNWTwgTo5O5U3LPe19KTxfOfH6l8bpg7t282kLh28/v9N9f+LDzyelz69L+sv6X
gJWkr5nfjn33+qG2Srs6tXZu3WB9diNyY23TefPWFsdWyta9bXhbYztuu2P7247Ejv/OmZ3unYVd
sl353cO7Gbutu8/3oD0RZMWH7uXvXdt7svd9n35fYd9pP3a/bL9n/9WB/SN8ZX99gIXIdADAINx3
AQBwBQDsntnf367e39+tQYKMGQD6gn/9r/h51lABUF5/gO5mbwz96zfS/wC16YivueE6EgAAAAlw
SFlzAAALEwAACxMBAJqcGAAACPlJREFUeJztmltsFNcZx79zmcvOzl6zvqy9hmAw4ALFMUlDidtQ
iaZRRJQQpUKpGqUlL63U9gEpatWnqlIlHtqHqFIjkahKUkhKKSGXiqY0SgLl4prQcDEltgvxfRfv
2muvd2d2LuecPjhBKB4bRwLMsvN72jnf/Ge/Pf8590XDw8PFYtFxHAAQnwOfM/P5askXLq8t9LmV
0EKhIEmSqioYk8VOxmehUEqp4ziGYXDOFzsZn4VCDcNgjC12Gj5fDjozqvlUFtRzQiGEcF3Xsqzi
WG7gvfcmLlxkhgEARNPia1qXbtmi1yYURaGUIoTmkZdz2cKhf9rd3ahsAoBQA/LateFHvq0mahYi
zxWyR/93uHfsYpkZQnCFBlfXfOWbLQ8lwvPJqwHU2dk5u9RxHNM0h4939v3ptXAgkKhLxJc0CoQn
h0ayV7KFktHy9PdSD2wMBAKSJM0lnz55zNjzipaIRVONgdRShJAxPDA1PFLKTmjffyb09Y755ac+
PbH/7CtaVK+pr62N1bmcjeXT45kxo2BtX//Mfcs2zSWvBqjnTMSyrOETnZd3v7xMVVui8eaHttR8
93FEyNiBtz5963BvceTySy8DgiUdmwjxmH9allXoPO7ueSGZCqbWh2MdHaGObQjh6RNv54/+bejs
RG7PCwWE8KZvzCU/den46x+/FErpS5rrtqx45FstDxt26d1PDh6LvJ8ezO09/SJwcX+Lt7wa8LZt
Opcb3LNvBafrs6JWKoX7BumpM0BwvLefjhUjWS4Haf+efbHVK9VUarbcyGXZwd3JFWzpakutsyQ2
KtLdAmHqjkTrLQVcSWGZg7uNlavVVNNseW4q++aZvXpD4K5mRQvjPM/05M+XXaOAxkNR2ZFULODN
M3uX165OqR7yaoB6TiPTHx6NmmzDOEq6jtY71e2e7O48AQCtNlrfZ8rg0DKZpCz94dH4U9tny63j
74bizooNITkSpCFB+RBkTwAgyvpRVGAcWRGkpZOl0vF32ZM7ZstP9h3BMk6ti2i6ghU+hvpZ0WLc
LUhXlBi5S4tqAWtofOpk35EnEk/d8BqpCLxbm3rx0koLJ10eA3xGY8fLU2BjAOjkXNZom4GRi9Za
eODiJU95eOJ0Q6uu1sWkaJAGNaJyTEYABA8zJoeJRrGqNLWi9MRpzn8wWz5q9Te0JhL1IUWRZUoo
cQ10hYEIUCKxsOsyK+i4rdJotr9q15retoVHc3VAIiEFy/R8sAAcfxbA+HwC2kuRiO3UMTY5mvOU
h5TpUGNMTsSkqEY1Fakywhgh4IwSS8YBBVE5VBTTRt70kpdVI5mKxkO6LBGJYAkRirEA4XLhcG5z
biuOkyJXCsXqtc2zk5RUVYkQqmqgKDBloGvvIQSWxqhpKbYpqcR7qa6qJKpLsRCNBHFARrIElAIA
Zq6wZSrJgAiZtEE1PeVBWdPUgK5qCsEKJRqWFUwBhMldg7k2c20imSrXZFa1GwXerY2uaLIuj0A4
ArraHuDvZ0avhtpqkxCOgmFZBUabU55yN9LkYIRCQRzUkCqBIgmJAgJkM0RsjCkW4BDVjTR5ypPh
BlGe1qgSoDRIJJ2qASILANO1ZFw2kFMGF0wjGWmo3tbm+cultjVjwxmI66Bp65K1LBo6OzoKHO5p
bPhqfQMYZZDNsfKU1LbG9ZLbybbJ0pmUrIAqgyIJWQaZAiCBXIQQAAKbTRW5nWz3/PbmWOvZ3L8U
IWlE0ams04BKZAAgiAhAAIQ55WK23Ba7r3pt8+xn1Hvb7dPneolYGdYhqLbVrm9r3wAA4LhgmSDR
PsuwkzXKve2Wlxy1bDbPnU9fsZsSYSHJIFGEiBCAJCoECA7pzKTpSqh1M3M95C3htZeNU+MDxfiq
oIxlGckSlgUIWXAFM9vluf5SUNZaIusc073RFVIZeNtWFCLyxKPDh/4hE3G3ooKigESAAxACIPqt
8iBF2mNbpxjzfN9LAqOl2zJDh6RYsK5ZRYAFAAIQgDigsbSZGSqVl2wrOdxTLgyxsfax/2Tfyuul
YErhSDCXAwDnwFwxMVyczhod9Y/bhlO1rY1s3+6x8GKM0ZqEnKwf7+vLUyIIAQAb2Ljj9JmldKEg
f2eL3Zg0TdNzV5AxJseSLq4rDl60XY4QQoBcR0xPWpnLhdHeghF7mMWb55FH1Xg80HQpe9ExHNcV
jssMozw+UUwP5dOZ0ob41hiqnUteDaADBw7MLp3ZXw6Hw7GAVuzsQqOj1OUA4FIsGhr0jV/Lm0ah
UACAufaCZ+TRoDrZ84HChyJhFxAqTNMyNEVXbZ4slRciD0aD/x37aJJ/iqWyEMBtNUqXram9tzRZ
mkdeDaD9+/d7BjjnGGNJkiKRiK7rM5u2juMUi8WpqSnHcWZumOu5iyu/40H79u2bKyaEmHmdr62g
meHkamgeFld+Z+N93naVmajntGUh//xZXPkdDNq2bdti5+DzpUEzY/sXCIVCtz4Vn4VTvaN6RbMg
20Ze3PHOjlfNa0oyv9ve1VW8STn5XJcF2Fbs6t51RH/o/gAAwGDXpk0ff9BtWQClkcyfnzv0kzeq
dH9pUbn+2Db24vZ/7wref+GPtSoAgJ3t+eTnjwwcAQCQn31+088eDun0FiXr8znXa23lngu7PpJ/
8dMZzwBcc/jC+CefBe2zXRNXpm9mej7eXMe2/KHfF2HV2ifv+ezaHTj/5G9rdh9r3/lg8vVjHU/D
uV++Y9/0JH2+yPz92+CF5/5Onn21MXb19uUdl04AwMjbGcdRY1t//ejWm52hjwfz2TZ9+KU8wJof
PjA7lNz5lzqq37SsfK7DPLale368F554/u6kRwyrur/iW0TmrHyz67U0wMofbfHtuQ2Zy5R836/+
AA/+Zvly9Zam47MwvG1zu/860ANLd271V2S3J3MstyU0nXeCyZjfQ96ezNGcVD3kNRPxuU24Mb3g
XGfNVX6YefPwe8GKxLetIvFtq0h82yoS37aKxLetIvFtq0h82yoS37aKxLetIvFtq0h82yoS37aK
xLetIrkxBzf+Ac0txm9tFYlvW0Xi21aR+LZVJL5tFYlvW0Xyf6B5jGQZAm+KAAAAAElFTkSuQmCC
--=-=-=
Content-Type: text/plain


In step 5 the buffer looks like:

--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=bug2.png
Content-Transfer-Encoding: base64
Content-Description: bug2.png
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--=-=-=
Content-Type: text/plain


The bug is M-j (c-indent-new-comment-line) indents to the wrong column.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11165; Package emacs,cc-mode. Full text available.

Message received at 11165 <at> debbugs.gnu.org:


Received: (at 11165) by debbugs.gnu.org; 15 May 2012 16:53:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 15 12:53:09 2012
Received: from localhost ([127.0.0.1]:56320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SUKzk-0007wK-Lz
	for submit <at> debbugs.gnu.org; Tue, 15 May 2012 12:53:08 -0400
Received: from colin.muc.de ([193.149.48.1]:37013 helo=mail.muc.de)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <acm@HIDDEN>) id 1SUKzi-0007wD-St
	for 11165 <at> debbugs.gnu.org; Tue, 15 May 2012 12:53:08 -0400
Received: (qmail 76125 invoked by uid 3782); 15 May 2012 16:53:00 -0000
Received: from acm.muc.de (pD951B081.dip.t-dialin.net [217.81.176.129]) by
	colin.muc.de (tmda-ofmipd) with ESMTP;
	Tue, 15 May 2012 18:52:57 +0200
Received: (qmail 20844 invoked by uid 1000); 15 May 2012 16:50:39 -0000
Date: Tue, 15 May 2012 16:50:39 +0000
To: Leo <sdl.web@HIDDEN>
Subject: Re: bug#11165: 24.0.95; c-indent-new-comment-line bug or feature?
Message-ID: <20120515165038.GB20152@HIDDEN>
References: <m1ehs4sm5z.fsf@HIDDEN> <20120417105348.GA3429@HIDDEN>
	<m1bomqpijj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m1bomqpijj.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11165
Cc: 11165 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Hello, Leo.

On Tue, Apr 17, 2012 at 09:57:52PM +0800, Leo wrote:
> On 2012-04-17 18:53 +0800, Alan Mackenzie wrote:
> > I think you've missed out some steps here.  When I do exactly that, I do
> > M-x c-mode on the opening splash screen (which isn't sensible), which is
> > read-only, preventing step 4.

> > What I tried was, instead of your step 4, creating a new buffer with C-x
> > b asdf.c, then setting the mode with M-x c-mode.

> Sorry for the splash screen. What you did instead is correct.

> > I do indeed see point at column 2, which is correct.  I think you might
> > have set the offset for "c" to 4 before creating the empty C buffer.
> > Indentation configuration is buffer local.

> > When I then repeat the C-c C-o c <ret> 4 <ret> I then get the second line
> > at offset 4, where it ought to be.

> I customise "c" after entering C mode so the customisation is effective.
> If you type M-j after /*, point is moved to the newline with 2 leading
> spaces. Now if you type TAB, it will go to column 4. so M-j is
> misbehaving i.e. it doesn't go to the right indentation.

> In contrast, M-x indent-new-comment-line following /* will move point to
> column 4 in the next line.

This is getting confusing.  I'm asking you at this point to read the
chapter "Config Basics" of the CC Mode manual.  About 36 lines down from
the top, it explains how setq'ing/customizing CC Mode's style variables
interacts with loading a buffer.

I don't think this is a bug.  When you've read that manual page, would
you please check exactly what you've done, and whether your buffer
indents as we both would like.

If it still seems wrong, could you give the exact description of how to
create the problem starting from emacs -Q (yes, I know this'll involve
some repetition).

Thanks!

> Leo

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11165; Package emacs,cc-mode. Full text available.

Message received at 11165 <at> debbugs.gnu.org:


Received: (at 11165) by debbugs.gnu.org; 17 Apr 2012 13:58:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 17 09:58:22 2012
Received: from localhost ([127.0.0.1]:38364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SK8vF-0005I7-KE
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 09:58:22 -0400
Received: from mail-pb0-f44.google.com ([209.85.160.44]:63575)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sdl.web@HIDDEN>) id 1SK8vC-0005Hm-ND
	for 11165 <at> debbugs.gnu.org; Tue, 17 Apr 2012 09:58:19 -0400
Received: by pbbrp16 with SMTP id rp16so4954135pbb.3
	for <11165 <at> debbugs.gnu.org>; Tue, 17 Apr 2012 06:58:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:face:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=/8Fu82RvBx5tooNth/n02rFagJ0qY163oFFDg3VSvJs=;
	b=mVcRetyWNx6i9Boxei6ZxaD1agG0587luyK1U+pxAgSLtInw7dNXG+vOv/Dqpg+WaI
	CruNgZhHLLO4rXeqx93A+sk/CSkMD6YuV753sEp1wLCLQTsIiOM97istVOBgHrAbWYZ9
	QgvjK9IB6V/RoevYIw33hkn4ntPzj627yYMCx3CY8Jc9wPIGE9Q1hbQINgPG89UrushJ
	Lkv97gbh9Fe0xgT5FzZ+2YC17h9t2to0cYF+TT/em941OFoT5p5vQKAO6ZxOkZEha3ye
	N06EOUlk7NLuuZANAHrpEt+SCQ+Qy3DlIIgy98ewwvS9LeEcnDfKzqRpBvk+WREGB6u3
	9hjA==
Received: by 10.68.195.232 with SMTP id ih8mr36895902pbc.118.1334671085048;
	Tue, 17 Apr 2012 06:58:05 -0700 (PDT)
Received: from localhost ([222.130.134.130])
	by mx.google.com with ESMTPS id ph10sm16281668pbb.2.2012.04.17.06.58.00
	(version=TLSv1/SSLv3 cipher=OTHER);
	Tue, 17 Apr 2012 06:58:03 -0700 (PDT)
From: Leo <sdl.web@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#11165: 24.0.95; c-indent-new-comment-line bug or feature?
References: <m1ehs4sm5z.fsf@HIDDEN> <20120417105348.GA3429@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAG1BMVEUAAAA9Cgm3Hx1WWFWA
	gn+WmJWsrqv4+vcCAwCRl2MkAAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJcEhZcwAAAYoA
	AAGKATOXMFgAAAAHdElNRQfXAQwDNR+ZJmElAAABIklEQVQoz22SPW+DQAyGWUq65qasd9PNUSX4
	AZHK2C1rJy5jpDS4IwRVup9dn7GNafpKIPPgzztXFSujqq1eM2n8h22oMkvxI/i9C97kRfMRUN55
	dS3BrsAwBXUtMLAO4lryh8kTjOxKpQNniNxAgZOEe4bZwsDTFhKdqZRLNII4OQNHhEuq/RMkm6Cj
	TnnEA/fk0BorcYn5qA3oaeAxbaBOLrX+9G48NZ2Fzc2tzDM8Q+tMypEOqYHh8mAWaaK3U/cDMOT5
	aMZMABgPXc7zPMs1A8DXO756GFJ/4fMEq47hTsAdn5avoxZ4ywl0c2w4Flu2Ybeyb3S+EqxX2DYA
	H8veJGEDTnHnrXvRaPyt+2kSfK6rfBZ2tUtfP/mR+pR6sX8BUZ/cDV7tvkoAAAAASUVORK5CYII=
Date: Tue, 17 Apr 2012 21:57:52 +0800
In-Reply-To: <20120417105348.GA3429@HIDDEN> (Alan Mackenzie's message of
	"Tue, 17 Apr 2012 10:53:48 +0000")
Message-ID: <m1bomqpijj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.95 (Mac OS X 10.6.8)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11165
Cc: 11165 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 2012-04-17 18:53 +0800, Alan Mackenzie wrote:
> I think you've missed out some steps here.  When I do exactly that, I do
> M-x c-mode on the opening splash screen (which isn't sensible), which is
> read-only, preventing step 4.
>
> What I tried was, instead of your step 4, creating a new buffer with C-x
> b asdf.c, then setting the mode with M-x c-mode.

Sorry for the splash screen. What you did instead is correct.

> I do indeed see point at column 2, which is correct.  I think you might
> have set the offset for "c" to 4 before creating the empty C buffer.
> Indentation configuration is buffer local.
>
> When I then repeat the C-c C-o c <ret> 4 <ret> I then get the second line
> at offset 4, where it ought to be.

I customise "c" after entering C mode so the customisation is effective.
If you type M-j after /*, point is moved to the newline with 2 leading
spaces. Now if you type TAB, it will go to column 4. so M-j is
misbehaving i.e. it doesn't go to the right indentation.

In contrast, M-x indent-new-comment-line following /* will move point to
column 4 in the next line.

Leo




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11165; Package emacs,cc-mode. Full text available.

Message received at 11165 <at> debbugs.gnu.org:


Received: (at 11165) by debbugs.gnu.org; 17 Apr 2012 10:55:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 17 06:55:43 2012
Received: from localhost ([127.0.0.1]:37889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SK64V-00009C-9M
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2012 06:55:43 -0400
Received: from colin.muc.de ([193.149.48.1]:20225 helo=mail.muc.de)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <acm@HIDDEN>) id 1SK64S-000091-DJ
	for 11165 <at> debbugs.gnu.org; Tue, 17 Apr 2012 06:55:41 -0400
Received: (qmail 85634 invoked by uid 3782); 17 Apr 2012 10:55:31 -0000
Received: from acm.muc.de (pD95565A2.dip.t-dialin.net [217.85.101.162]) by
	colin.muc.de (tmda-ofmipd) with ESMTP;
	Tue, 17 Apr 2012 12:55:30 +0200
Received: (qmail 3454 invoked by uid 1000); 17 Apr 2012 10:53:48 -0000
Date: Tue, 17 Apr 2012 10:53:48 +0000
To: 11165 <at> debbugs.gnu.org
Subject: 24.0.95; c-indent-new-comment-line bug or feature?
Message-ID: <20120417105348.GA3429@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11165
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> 1. Emacs -q
> 2. M-x c-mode
> 3. customise the indentation for syntactic symbol c to 4
> 4. Enter /* and then M-j (c-indent-new-comment-line)

I think you've missed out some steps here.  When I do exactly that, I do
M-x c-mode on the opening splash screen (which isn't sensible), which is
read-only, preventing step 4.

What I tried was, instead of your step 4, creating a new buffer with C-x
b asdf.c, then setting the mode with M-x c-mode.

> you should see point located at column 2 instead of 4, which is a wrong
> indentation position for that line and unlike indent-new-comment-line
> or newline-and-indent.

I do indeed see point at column 2, which is correct.  I think you might
have set the offset for "c" to 4 before creating the empty C buffer.
Indentation configuration is buffer local.

When I then repeat the C-c C-o c <ret> 4 <ret> I then get the second line
at offset 4, where it ought to be.

> Is this a bug or feature? Thanks.

Could you please indicate exactly what you did.  I suspect this is
neither bug nor feature.  :-)  It would be good to get this bug report
closed off.

Leo

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#11165; Package emacs,cc-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Apr 2012 18:31:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 03 14:31:31 2012
Received: from localhost ([127.0.0.1]:38324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SF8Vv-0000US-4Z
	for submit <at> debbugs.gnu.org; Tue, 03 Apr 2012 14:31:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51284)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sdl.web@HIDDEN>) id 1SF8Vs-0000UL-L8
	for submit <at> debbugs.gnu.org; Tue, 03 Apr 2012 14:31:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1SF8VU-0000Tg-3c
	for submit <at> debbugs.gnu.org; Tue, 03 Apr 2012 14:31:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35500)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1SF8VT-0000Ta-Ti
	for submit <at> debbugs.gnu.org; Tue, 03 Apr 2012 14:31:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34264)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1SF8VP-0007qe-Ed
	for bug-gnu-emacs@HIDDEN; Tue, 03 Apr 2012 14:31:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1SF8VN-0000SH-GT
	for bug-gnu-emacs@HIDDEN; Tue, 03 Apr 2012 14:30:58 -0400
Received: from mail-yx0-f169.google.com ([209.85.213.169]:49394)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>)
	id 1SF8VF-0000RM-Mt; Tue, 03 Apr 2012 14:30:49 -0400
Received: by yenm8 with SMTP id m8so6042yen.0
	for <multiple recipients>; Tue, 03 Apr 2012 11:30:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:date:message-id:mime-version:content-type;
	bh=f4DWJXjYUcF7u96UqyojpEywj+AK5IEjKZQxWQfuw5A=;
	b=O3aP6A1MyCDdByZ+5zQ+F38r+aIvpbLTaLj2atBnMtCXgblG/tJ+zSXzQFw9m/X2Vi
	o55EVbQDOd6IMLQ/q3Y80LvJVC2iSXoeOHAYYb2/VMwZPbv4pIzeOk5y9SdP8EInHOm4
	7eU5wyIOWZOsDR17DJqJczPHoF6CrFPGIQFgsLTATGzNCKPHyh3+b1AlNCTED5KwZEkv
	M+zCBfN2gyJuZpdzrotkt0lYKZ7ug9L/JYsjwhtd0TAL+D5oS73bBAYc6xDU/Up3zarc
	rj36OLdl+KY8xJ/P5a94NTgnEk7sz5n9cGBx6omDyONoWEaDxRA5fWajv17RYWK//VjI
	IQxw==
Received: by 10.50.202.38 with SMTP id kf6mr9939786igc.30.1333477846357;
	Tue, 03 Apr 2012 11:30:46 -0700 (PDT)
Received: from Victoria.local ([61.148.242.54])
	by mx.google.com with ESMTPS id l9sm16099398iga.6.2012.04.03.11.30.41
	(version=TLSv1/SSLv3 cipher=OTHER);
	Tue, 03 Apr 2012 11:30:45 -0700 (PDT)
From: Leo <sdl.web@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.95; c-indent-new-comment-line bug or feature?
Date: Wed, 04 Apr 2012 02:30:32 +0800
Message-ID: <m1ehs4sm5z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
Cc: bug-cc-mode@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

1. Emacs -q
2. M-x c-mode
3. customise the indentation for syntactic symbol c to 4
4. Enter /* and then M-j (c-indent-new-comment-line)

you should see point located at column 2 instead of 4, which is a wrong
indentation position for that line and unlike indent-new-comment-line or
newline-and-indent.

Is this a bug or feature? Thanks.

Leo




Acknowledgement sent to Leo <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11165; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.